Mailinglist Archive: opensuse-bugs (15829 mails)

< Previous Next >
[Bug 301751] New: libzypp unable to recover from broken refresh
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 20 Aug 2007 02:44:27 -0600 (MDT)
  • Message-id: <bug-301751-21960@xxxxxxxxxxxxxxxxxxxxxxxxx/>
https://bugzilla.novell.com/show_bug.cgi?id=301751

           Summary: libzypp unable to recover from broken refresh
           Product: openSUSE 10.3
           Version: Beta 1
          Platform: Other
        OS/Version: Other
            Status: NEW
          Severity: Critical
          Priority: P5 - None
         Component: libzypp
        AssignedTo: kkaempf@xxxxxxxxxx
        ReportedBy: visnov@xxxxxxxxxx
         QAContact: kkaempf@xxxxxxxxxx
          Found By: ---


Good to have power failures here and there ;-)

I was in the middle of 'zypper refresh' of factory, when the machine's network
connection failed. Since then, I cannot refresh Factory anymore:

mammoth:~ # zypper refresh
Refreshing 'openSUSE-10.3'
* Building repository
'http://cml.suse.cz/netboot/find/openSUSE-10.3-Beta1-DVD-i386' cache
Refreshing 'openSUSE-10.3-Updates'
* Building repository 'openSUSE-10.3-Updates' cache
Refreshing
'http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/'
* Cleaning repository 'FACTORY - Main Repository (OSS)' cache
* Building repository 'FACTORY - Main Repository (OSS)' cache
Error parsing metadata for
'http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/':
/var/cache/zypp/raw/http:/download.opensuse.org/distribution/SL-OSS-factory/inst-source:
Required file is missing: ./suse/setup/descr/packages
This may be caused by invalid metadata in the repository, or by a bug in the
metadata parser. In the latter case, or if in doubt, please, file a bug report
by folowing instructions at http://en.opensuse.org/Zypper#Troubleshooting
Skipping repository
'http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/' because
of the above error.
Some of the repositories have not been refreshed because of error.

mammoth:~ # zypper -V
zypper 0.8.10

mammoth:~ # rpm -q libzypp
libzypp-3.14.0-6


-- 
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >